summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2012-02-08 17:41:29 +0400
committerIgor Pashev <pashev.igor@gmail.com>2012-02-08 17:41:29 +0400
commit18d8d786dbb6f6b369146256ea4088a6690f68d3 (patch)
treef0e79540180b4412323c59f6359165829467a465
parent94f2d42a7d81c67cdb9556911b63f071a93a5d42 (diff)
downloadutil-linux-old-18d8d786dbb6f6b369146256ea4088a6690f68d3.tar.gz
libuuid1: fixed groupadd and useradd usage in postinst
-rw-r--r--debian/changelog6
-rw-r--r--debian/libuuid1.postinst.illumos-amd6421
2 files changed, 27 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index 9bdea3e0..91bf131a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+util-linux (2.17-0+dyson7) unstable; urgency=low
+
+ * libuuid1: fixed groupadd and useradd usage in postinst
+
+ -- Igor Pashev <pashev.igor@gmail.com> Wed, 08 Feb 2012 17:31:05 +0400
+
util-linux (2.17-0+dyson6) unstable; urgency=low
* Removed /bin from bsdutils
diff --git a/debian/libuuid1.postinst.illumos-amd64 b/debian/libuuid1.postinst.illumos-amd64
new file mode 100644
index 00000000..57c40bd0
--- /dev/null
+++ b/debian/libuuid1.postinst.illumos-amd64
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+# *add for Illumos have different semantic for -K options
+# and also lack -f option
+
+if ! getent group | grep -q libuuid; then
+ groupadd libuuid
+fi
+if ! getent passwd | grep -q libuuid; then
+ useradd -d /var/lib/libuuid -g libuuid libuuid
+fi
+
+mkdir -p /var/lib/libuuid
+chown libuuid:libuuid /var/lib/libuuid
+chmod 2775 /var/lib/libuuid
+
+#DEBHELPER#
+
+exit 0